
    <div class="pt-3 pb-1" id="breadcrumbs-wrapper">
        <!-- Search for small screen-->
        <div class="container">
          <div class="row">
            <div class="col s12 m6 l6">
              <h5 class="breadcrumbs-title mt-0 mb-0"><span>Articles</span></h5>
            </div>
            <div class="col s12 m6 l6 right-align-md">
              <ol class="breadcrumbs mb-0">
                <li class="breadcrumb-item"><a [routerLink]="['/DashbordFacture']">Acceuil</a>
                </li>
                <li class="breadcrumb-item">Gestion des factures
                </li>
                <li class="breadcrumb-item active">Articles
                </li>
              </ol>
            </div>
          </div>
        </div>
      </div>
      
          <div class="section section-data-tables">
  
  
  <!-- Page Length Options -->
  <div class="row">
  <div class="col s12">
    <div class="card">
      <div class="card-content">
       <a class=" modal-trigger" href="#modal1" (click)="initi()">
       <button class="btn cyan waves-effect waves-light right" type="submit" name="action">Ajouter
          <i class="material-icons right">add</i>
        </button>
        </a>
  
        <h4 class="card-title">Liste des articles</h4>
      
        <br/>
        <div class="row">
          <div class="col s12">
            <table id="page-length-option" class="display">
              <thead>
                <tr>
                  <th>Nom</th>
                  <th>Prix</th>
                  <th>TVA</th>
                  <th>Prix TTC</th>
                  <th>Coût</th>
                  <th>Action</th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let a of articles; index as i;">
                  
                  <td>{{a.nom}}</td>
                  <td>{{a.prix}}</td>
                  <td>{{a.tva}} %</td>
                  <td>{{a.prixttc}}</td>
                  <td>{{a.cout}}</td>
                 
                  <td>
                    <a class='dropdown-trigger' href='#' [attr.data-target]="'dropdown' + i">
                      <i class="material-icons">arrow_drop_down</i>
                    </a>
                    <ul id='dropdown{{i}}' class='dropdown-content' >
                    <li><a  class="modal-trigger" (click)="getOne(a.id)" href="#modal2">Modifier</a></li>
                    <li><a class="modal-trigger" (click)="delete(a.id)">Supprimper</a></li>
                 
                    </ul>
                  </td>
                
                
                
              </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
  </div>
  
  
  
    
  </div><!-- START RIGHT SIDEBAR NAV -->
  
  
  <div id="modal1" class="modal modal-fixed-footer" style="width: 40%; height: 60%;">
    <form #f="ngForm" (ngSubmit)="save(f.value)">
      <div class="modal-content">
        <h4>Articles</h4>
        <br>
          <div class="row">
            <div class="input-field col s6">
                <input   type="text" class="validate" name="nom" #nom="ngModel" [(ngModel)]="article.nom" required >
                <label for="name2">Nom</label>
                <small  class="errorTxt1" *ngIf="nom.touched  &&  nom.invalid" ><div id="uname-error" class="error">saisir votre Article</div></small>

              </div>
              <div class="input-field col s6">
                <input   type="number" class="validate" min="0" max="100"  name="tva" #tva="ngModel" [(ngModel)]="article.tva" (change)="calculerprix()" required >
                <label for="name2">TVA</label>
                <small  class="errorTxt1" *ngIf="tva.touched  &&  tva.invalid" ><div id="uname-error" class="error">saisir votre TVA</div></small>

              </div>
          </div>
        <div class="row">
          <div class="input-field col s6">
            <label for="name2">Prix</label><br/>
            <input   type="number" class="validate" name="prix" #prix="ngModel" [(ngModel)]="article.prix" (change)="calculerprix()" required>
            <small  class="errorTxt1" *ngIf="prix.touched  &&  prix.invalid" ><div id="uname-error" class="error">saisir votre prix</div></small>

          </div>

          <div class="input-field col s6">
            <label class="active">Prix TTC</label><br/>
            <input   type="number" class="validate" name="prixttc" #prixttc="ngModel" [(ngModel)]="article.prixttc" disabled>
          </div>

         
  
          <div class="input-field col s12">
            <input   type="number" class="validate" name="cout" #cout="ngModel" [(ngModel)]="article.cout" required>
            <label for="name2">Cout</label>
            <small  class="errorTxt1" *ngIf="cout.touched  &&  cout.invalid" ><div id="uname-error" class="error">saisir votre cout</div></small>

          </div>
  
          
         
         </div>
      </div>
      <div class="modal-footer">
         <button type="submit" class="btn cyan waves-effect waves-light right" style="margin-right: 25px;">Valider</button>
      </div>
    </form>
    </div>




    <div id="modal2" class="modal modal-fixed-footer" style="width: 40%; height: 60%;">
      <form #fu="ngForm" (ngSubmit)="update(fu.value)">
        <div class="modal-content">
          <h4>Articles</h4>
          <br>
            <div class="row">
              <div class="input-field col s6">
                <label for="name2" class="active">Nom</label><br>
                  <input   type="text"  name="nom" #nom="ngModel" [(ngModel)]="article.nom" required >
                </div>
                <div class="input-field col s6">
                  <label for="name3">TVA</label><br/>
                  <input   type="text"  name="tva" #tva="ngModel" [(ngModel)]="article.tva" (change)="calculerprix()" required >
                </div>
            </div>
          <div class="row">
            <div class="input-field col s6">
              <label for="name2">Prix</label><br/>
              <input   type="text" name="prix" #prix="ngModel" [(ngModel)]="article.prix" (change)="calculerprix()" required>
            </div>
            <div class="input-field col s6">
              <label for="name2">Prix TTC</label><br/>
              <input   type="text" name="prixttc" #prixttc="ngModel" [(ngModel)]="article.prixttc" disabled>
            </div>
  
           
    
            <div class="input-field col s12">
              <label for="name2">Cout</label><br/>

              <input   type="text" name="cout" #cout="ngModel" [(ngModel)]="article.cout" required>
            </div>
    
            
           
           </div>
        </div>
        <div class="modal-footer">
           <button type="submit" class="btn cyan waves-effect waves-light right" style="margin-right: 25px;">Valider</button>
        </div>
      </form>
      </div>
  
  